
package de.ivu.elect.business.niederschrift.control;

import static java.util.Arrays.asList;

import java.util.Collection;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;
import de.ivu.elect.business.niederschrift.entity.NiederschriftStatusAenderungRaeume;

public class NiederschriftStatusAenderungKonfigurationInit extends AbstractKonfigurationInit {

  public NiederschriftStatusAenderungKonfigurationInit() {
    super();
  }

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    return asList( //
        create(ElectKonfigurationWerte.NIEDERSCHRIFT_STATUS_AENDERUNG_VALUES_RAUM_ERGEBNISERFASSUNG, NiederschriftStatusAenderungRaeume.VALUES_RAUM_ERGEBNISERFASSUNG_DEFAULT), //
        create(ElectKonfigurationWerte.NIEDERSCHRIFT_STATUS_AENDERUNG_VALUES_RAUM_WEITERE, "Raum I" + NiederschriftStatusAenderungRaeume.VALUES_RAUM_SEPARATOR + "Keller 003"),
        create(ElectKonfigurationWerte.NIEDERSCHRIFT_STATUS_AENDERUNG_RAUM_WAHLLOKALSYSTEM, "Wahllokalsystem"),
        create(ElectKonfigurationWerte.NIEDERSCHRIFT_STATUS_AENDERUNG_BESITZER_WAHLLOKALSYSTEM, "Wahlvorstand")

        );
  }
}
